Name:           maven-shared-utils
Version:        3.2.1
Release:        %mkrel 0.7
Group:          Development/Java
Summary:        Maven shared utility classes
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-shared-utils
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
# XXX temporary for maven upgrade
Patch0:         0001-Restore-compatibility-with-current-maven.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.fusesource.jansi:jansi)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)

%description
This project aims to be a functional replacement for plexus-utils in Maven.

It is not a 100% API compatible replacement though but a replacement with
improvements: lots of methods got cleaned up, generics got added and we dropped
a lot of unused code.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%patch0 -p1

%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 3.2.1-0.7.mga8
+ Revision: 1621472
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 3.2.1-0.3.mga8
+ Revision: 1520796
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 3.2.1-0.2.mga7
+ Revision: 1339822
- new version: 3.2.1 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.1.0-4.mga7
+ Revision: 1264095
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.1.0-3.mga6
+ Revision: 1101534
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 3.1.0-2.mga6
+ Revision: 1100020
- New version 3.1.0
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-3.mga6
+ Revision: 977304
- First rebuild of the java stack
- sync package maven-shared-utils with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 0.6-3.mga5
+ Revision: 811851
- rebuild against current java stack

* Thu Dec 25 2014 pterjan <pterjan> 0.6-2.mga5
+ Revision: 805537
- Clean rebuild
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 0.4-4.mga5
+ Revision: 739210
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 529319
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 dmorgan <dmorgan> 0.4-1.mga4
+ Revision: 451507
- imported package maven-shared-utils


* Mon Apr 22 2013 Tomas Radej <tradej@redhat.com> - 0.4-1
- Updated to latest upstream version
- Fixed and reenabled tests

* Mon Apr 08 2013 Michal Srb <msrb@redhat.com> - 0.3-2
- Disable tests (they don't work with junit >= 4.11)

* Fri Mar 15 2013 Michal Srb <msrb@redhat.com> - 0.3-1
- Update to upstream version 0.3

* Tue Feb 19 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.2-4
- Build with xmvn

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.2-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jan 16 2013 Tomas Radej <tradej@redhat.com> - 0.2-1
- Initial version

